Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPResourceLevel

    java.lang.Object
      org.apache.fop.afp.AFPResourceLevel

    public class AFPResourceLevel

extends java.lang.Object

A resource level

Nested Class Summary
`static class` | `AFPResourceLevel.ResourceType`

Constructor Summary
`AFPResourceLevel(AFPResourceLevel.ResourceType resourceType)` Main constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.net.URI` | `getExternalURI()` Returns the URI of the external resource group.
`int` | `hashCode()`
`boolean` | `isDocument()` Returns true if this is at document level
`boolean` | `isExternal()` Returns true if this is at external level
`boolean` | `isInline()` Returns true if this resource level is inline
`boolean` | `isPage()` Returns true if this is at page level
`boolean` | `isPageGroup()` Returns true if this is at page group level
`boolean` | `isPrintFile()` Returns true if this is at print-file level
`void` | `setExternalUri(java.net.URI uri)` Sets the URI of the external resource group.
`java.lang.String` | `toString()`
`static AFPResourceLevel` | `valueOf(java.lang.String levelString)` Sets the resource placement level within the AFP output

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AFPResourceLevel

    public AFPResourceLevel(AFPResourceLevel.ResourceType resourceType)

  Main constructor

  Parameters:
    `resourceType` - the resource type

Method Detail

### valueOf

    public static AFPResourceLevel valueOf(java.lang.String levelString)

  Sets the resource placement level within the AFP output

  Parameters:
    `levelString` - the resource level (page, page-group, document, print-file or external)
  Returns:
    true if the resource level was successfully set

### isPage

    public boolean isPage()

  Returns true if this is at page level

  Returns:
    true if this is at page level

### isPageGroup

    public boolean isPageGroup()

  Returns true if this is at page group level

  Returns:
    true if this is at page group level

### isDocument

    public boolean isDocument()

  Returns true if this is at document level

  Returns:
    true if this is at document level

### isExternal

    public boolean isExternal()

  Returns true if this is at external level

  Returns:
    true if this is at external level

### isPrintFile

    public boolean isPrintFile()

  Returns true if this is at print-file level

  Returns:
    true if this is at print-file level

### isInline

    public boolean isInline()

  Returns true if this resource level is inline

  Returns:
    true if this resource level is inline

### getExternalURI

    public java.net.URI getExternalURI()

  Returns the URI of the external resource group.

  Returns:
    the destination URI of the external resource group

### setExternalUri

    public void setExternalUri(java.net.URI uri)

  Sets the URI of the external resource group.

  Parameters:
    `uri` - the URI of the external resource group

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.